package seminar7;

public class StartState implements State {

   @Override
   public void doAction(Context context) {
      System.out.println("Player is in start state");
      context.setState(this);	
   }
   
   @Override
   public void goNext(Context context) {
       context.setState(new StopState());
   }

   @Override
   public String toString(){
      return "Start State";
   }
}
